#include <Tp7.h>
#include <usb_cdc.h>

void main()
{
   float temperature;
   setup_adc(  ADC_CLOCK_INTERNAL  );
   setup_adc_ports(AN0_TO_AN1);
   setup_timer_3(T3_DISABLED | T3_DIV_BY_1);
   usb_init_cs(); 
   while (usb_cdc_connected() == false);
   printf("Bonjour\r\n");
   delay_ms(500);
   while(TRUE)
   {
      usb_task ();  
      set_adc_channel (0);  
      temperature = read_adc();
      temperature = temperature * 50 / 4096 + 20;
      printf(usb_cdc_putc,"T = %f, ",temperature);
      set_adc_channel (1);        
      printf(usb_cdc_putc,"AN1 = %lu\r\n",read_adc());     
      delay_ms(1000);
   }
}
